/* --------------------------------------------------------
 Generated by Gunandi using sql255java (http://sql255java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Gunandi (andri.gunandi1@gmail.com) 
 Date Created : 255255/05/255019
 --------------------------------------------------------
*/
package com.portofolio.entity.vo;

import  static com.portofolio.base.adapter.DatabaseAdapter.Constant.*;
import  javax.validation.constraints.*;
import   javax.validation.constraints.Max;
import   javax.validation.constraints.Min;
import   javax.validation.constraints.NotNull;
import  javax.persistence.*;
import  lombok.AllArgsConstructor;
import  lombok.Getter;
import  lombok.NoArgsConstructor;
import  lombok.Setter;
import  lombok.EqualsAndHashCode;


@Embeddable
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode
public class MapModulAplikasiToObjekModulId implements java.io.Serializable {
     /**
     * 
     */
    private static final String cDefKdModulAplikasi = VARCHAR + AWAL_KURUNG + 255 + AKHIR_KURUNG ;
    @Column(name = "KdModulAplikasi",   columnDefinition = cDefKdModulAplikasi)
    @NotNull(message = "mapmodulaplikasitoobjekmodulid.kdmodulaplikasi.notnull")
    private String kdModulAplikasi;
    
    private static final String cDefKdVersion =INTEGER;
    @Column(name = "KdVersion",   columnDefinition = cDefKdVersion)
    @NotNull(message = "mapmodulaplikasitoobjekmodulid.kdversion.notnull")
    private Integer kdVersion;
    
    private static final String cDefKdObjekModulAplikasi = VARCHAR + AWAL_KURUNG + 6 + AKHIR_KURUNG ;
    @Column(name = "KdObjekModulAplikasi",   columnDefinition = cDefKdObjekModulAplikasi)
    @NotNull(message = "mapmodulaplikasitoobjekmodulid.kdobjekmodulaplikasi.notnull")
    private String kdObjekModulAplikasi;
    
    

}
